Sign in with SMS OTP
POST /signin/passwordless/sms
POST
/signin/passwordless/sms
Initiate passwordless authentication by sending a one-time password to the user’s phone number. If the user doesn’t exist, a new account will be created with the provided options.
Request Body required
Section titled “Request Body required ”Phone number and optional user options for SMS OTP authentication
object
phoneNumber
required
Phone number of the user
string
Example
+123456789 options
object
allowedRoles
Array<string>
Example
[ "me", "user"] defaultRole
string
Example
user displayName
string
Example
John Smith locale
A two or three characters locale
string
Example
en metadata
object
key
additional properties
any
Example
{ "firstName": "John", "lastName": "Smith"} redirectTo
string format: uri
Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”OTP sent to user’s phone number successfully
string
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
status
required
HTTP status error code
integer
Example
400 message
required
Human-friendly error message
string
Example
Invalid email format error
required
Error code identifying the specific application error
string